#include <sys/types.h>
#include <sys/stat.h>
#include <ustat.h>
#include <stdio.h>
#include <errno.h>

#define PERROR(m) {int _i; _i=errno; perror(m); exit(_i);}
main()
{
struct stat statbuf;
struct ustat ustatbuf;

if(stat(".", &statbuf) < 0)
	PERROR("stat()")
if(ustat(statbuf.st_dev, &ustatbuf) < 0)
	PERROR("ustat()")
printf("device: %ld, blocks: %ld, inodes: %ld, name: %.6s, pack: %.6s\n",
	(long)statbuf.st_dev,
	(long)ustatbuf.f_tfree, (long)ustatbuf.f_tinode,
	ustatbuf.f_fname, ustatbuf.f_fpack);
return 0;
}

